Bug 1258253 - All windows closed after unlocking screen
All windows closed after unlocking screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 10:57 EDT by ish37416
Modified: 2016-07-19 15:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:17:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ish37416 2015-08-30 10:57:38 EDT
Description of problem:

Frequently after locking my screen and subsequently unlocking it, I find all my windows have closed. The processes are still running, as visible in "System Monitor" but are not responding. The last time this occurred, I was running Firefox 40, Tor Browser 5.0.2, Thunderbird 38.1.0, and Banshee Media Player.

When attempting to re-open Thunderbird and Tor Browser, the error message that they are already running but not responding is returning. Hence I have to end the processes before being able to re-open the programs.

I am not sure precisely which component this is a problem with. However, I suspect it may be to do with the Gnome interface because that is what is providing the screen lock function and managing the windows.

Other programs that do not use windows are not affected, as evidenced by the fact that my OpenVPN connection remains uninterrupted.

This bug could cause data loss if, for example, an unsaved document is open at the time of the screen being locked.

Version-Release number of selected component (if applicable):

GNOME: Version 3.16.2

How reproducible:

It does not happen reliably. Most of the time it unlocks fine, but it has repeated enough to concern me.

Steps to Reproduce:
1. Run several programs in several windows.
2. Repeatedly lock and unlock screen.
3.

Actual results:


Expected results:


Additional info:

RAM: 8GB
CPU: Intel® Core™ i7-2620M CPU @ 2.70GHz × 4 
OS type: 64-bit
Graphics: Intel® Sandybridge Mobile 
Disk: 500GB Samsung 850 Pro
Laptop model: Lenovo Thinkpad T520
Screen resolution: 1600x900
Comment 1 Micha 2015-09-03 08:30:05 EDT
I observe something similar. Have you tried switching to another screen when you are going to unlock it? In my case, the lock screen is on Screen 1 (Ctrl+Alt+F1), which gives the conventional login screen where I can select any account. My locked session is on screen 2. When I press Ctrl+Alt+F2 in the lock screen, it is switched over and I can unlock my session. It is then properly restored. So in my case, the lock screen often switches to the first screen, which is the login screen and not the lock screen for my session, which in most cases is on a second screen.
Comment 2 Fedora End Of Life 2016-07-19 15:17:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.